Skip to main content
GET
List assets

Authorizations

Authorization
string
header
required

A workspace API key.

Query Parameters

projectId
string
required

Project returned by project_session_start or POST /v1/projects.

Required string length: 1 - 200
limit
integer

Maximum assets to return; defaults to 50 and never exceeds 100.

Required range: 1 <= x <= 100
cursor
string

The nextCursor from the previous page. Omit for the first page.

Required string length: 1 - 200
after
string
deprecated

Deprecated spelling of cursor; still accepted.

Required string length: 1 - 200

Response

Success.

success
boolean
required
projectId
string
required

Project that owns this asset page.

assets
object[]
required

Project-owned asset page.

nextCursor
string | null

Send as cursor for the next page; null when this is the last page.

nextAfter
string | null
deprecated

Deprecated copy of nextCursor.

{key}
any